#include "cdo_math.h"

#include <cmath>
#include <limits>

namespace cdo
{

double
NaN()
{
  return (std::numeric_limits<double>::has_quiet_NaN) ? std::numeric_limits<double>::quiet_NaN() : std::acos(2.0);
}

}  // namespace cdo
